package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.location.GameDisplay;

public class Goblin extends Enemy
{
    public Goblin(int hp, int mp, String name) { super(hp, mp, name); }

    @Override
    public void specialAbility(Entity target)
    {
        if(getMp() >= 5)
        {
            super.specialAbility(target);
            this.setMp(this.getMp() - 5);
            System.out.println(GameDisplay.CYAN + "The Goblin struck a powerful below 👊" + GameDisplay.RESET);
            target.takeDamage(7);
        }
        else System.out.println(GameDisplay.RED + "Goblin does not have enough MP to use Special ability" + GameDisplay.RESET);
    }
}
